# Uses of Interface
java.lang.foreign.SymbolLookup

Packages that use SymbolLookup
Package
Description
java.lang.foreign
Provides low-level access to memory and functions outside the Java runtime.

## Uses of SymbolLookup in java.lang.foreign

Methods in java.lang.foreign that return SymbolLookup
Modifier and Type
Method
Description
`SymbolLookup`
Linker.`defaultLookup()`
Returns a symbol lookup for symbols in a set of commonly used libraries.
`static SymbolLookup`
SymbolLookup.`libraryLookup(String name, Arena arena)`
Restricted.
Loads a library with the given name (if not already loaded) and creates a symbol lookup for symbols in that library.
`static SymbolLookup`
SymbolLookup.`libraryLookup(Path path, Arena arena)`
Restricted.
Loads a library from the given path (if not already loaded) and creates a symbol lookup for symbols in that library.
`static SymbolLookup`
SymbolLookup.`loaderLookup()`
Returns a symbol lookup for symbols in the libraries associated with the caller's class loader.
`default SymbolLookup`
SymbolLookup.`or(SymbolLookup other)`
Returns a composed symbol lookup that returns the result of finding the symbol with this lookup if found, otherwise returns the result of finding the symbol with the other lookup.
Methods in java.lang.foreign with parameters of type SymbolLookup
Modifier and Type
Method
Description
`default SymbolLookup`
SymbolLookup.`or(SymbolLookup other)`
Returns a composed symbol lookup that returns the result of finding the symbol with this lookup if found, otherwise returns the result of finding the symbol with the other lookup.